<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CorpConstants](./bitburner.corpconstants.md) &gt; [upgradeNames](./bitburner.corpconstants.upgradenames.md)

## CorpConstants.upgradeNames property

Names of all corporation-wide upgrades

**Signature:**

```typescript
upgradeNames: CorpUpgradeName[];
```
